## scikit-misc 0.1.4+dfsg

=== Makefile ===
.PHONY: clean-pyc clean-build docs clean
BROWSER := python -mwebbrowser

help:
	@echo "clean - remove all build, test, coverage and Python artifacts"
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "clean-test - remove test and coverage artifacts"
	@echo "lint - check style with flake8"
	@echo "test - run tests quickly with the default Python"
	@echo "test-all - run tests on every Python version with tox"
	@echo "coverage - check code coverage quickly with the default Python"
	@echo "docs - generate Sphinx HTML documentation, including API docs"
	@echo "release - package and upload a release"
	@echo "dist - package"
	@echo "install - install the package to the active Python's site-packages"
	@echo "develop - install the package in development mode"

clean: clean-build clean-pyc clean-test

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test:
	rm -fr .tox/
	rm -f .coverage
	rm -f coverage.xml
	rm -fr htmlcov/

lint:
	flake8 skmisc --exclude=skmisc/__config__.py

test: clean-test
	pytest

test-all:
	tox

coverage:
	coverage report -m
	coverage html
	$(BROWSER) htmlcov/index.html

docs:
	$(MAKE) -C doc clean
	$(MAKE) -C doc html
	$(BROWSER) doc/_build/html/index.html

release: clean
	bash ./tools/release.sh

dist: clean
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean
	python setup.py install

develop: clean-pyc
	python setup.py develop

=== debian/changelog ===
scikit-misc (0.1.4+dfsg-1) unstable; urgency=low

  * Initial Packaging (Closes: #998905)

 -- Diane Trout <diane@ghic.org>  Mon, 08 Nov 2021 13:52:08 -0800

=== debian/tests/control ===
Tests: run-test
Depends: python3-pytest, @

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*$//,repack" \
    https://github.com/has2k1/scikit-misc/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## scikit-misc 0.3.1%2Bdfsg

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = scikit-misc
SOURCEDIR     = .
PAPER         =
BUILDDIR      = _build

# For make theme
theme = cerulean
brand-primary = \#194f7f
success = \#0e6957
text-color = \#333333
headings-color = \#333231
headings-font-weight = bold
font-family-sans-serif = '"Lato", "proxima-nova", "Helvetica Neue", Arial, sans-serif'

# Colors for echo
blue:=$(shell tput setaf 4)
reset:=$(shell tput sgr0)      # reset color codes

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
	@echo "${blue}  theme${reset} to create a custom sphinx boostrap theme"

.PHONY: help Makefile theme

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

theme:
	../tools/build_theme.sh --theme $(theme) \
	   --brand-primary '$(brand-primary)' \
	   --brand-success '$(success)' \
	   --text-color '$(text-color)' \
	   --headings-color '$(headings-color)' \
	   --headings-font-weight $(headings-font-weight) \
	   --font-family-sans-serif '$(font-family-sans-serif)'

## scikit-misc 0.3.1%2Bdfsg2

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=skmisc
export PYBUILD_TEST_ARGS=-v -k "not skmisc.__config__" --pyargs skmisc
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_install:
	dh_numpy3

## scikit-misc 0.3.1+dfsg

=== debian/changelog ===
scikit-misc (0.3.1+dfsg-3build3) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 11:46:29 +0000

scikit-misc (0.3.1+dfsg-3build2) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:32:51 +0100

scikit-misc (0.3.1+dfsg-3build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:04:42 +0000

scikit-misc (0.3.1+dfsg-3) unstable; urgency=medium

  * Use libblas-dev | libblas.so for blas dependency (Thanks: Sébastien Villemot)
  * Add force-netlib.patch as the default build system can't autodetect
    netlib blas.

 -- Diane Trout <diane@ghic.org>  Sun, 31 Dec 2023 10:52:14 -0800

scikit-misc (0.3.1+dfsg-2) unstable; urgency=medium

  * Remove libatlas-base-dev from build-depends (Closes: #1056687)
    - Already added the replacement libopenblas-dev
  * updated force-python3-script-executable for a few tool calls to python
    with python3
  * Test supported py3versions with -s instead of -r

 -- Diane Trout <diane@ghic.org>  Sat, 30 Dec 2023 21:16:34 -0800

scikit-misc (0.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #1055726)
  * Update build-dependencies for new build system.
    - Add git, pkg-config, pybuild-plugin-pyproject, and python3-mesonpy
  * remove patches use-debian-version, simplify-test-runners, and ship-test-data
    as they are no longer relevant with the new build system.
  * Add force-python3-script-executable.patch for scripts run by meson
    that used #!/usr/bin/env python as the script executable
  * Refresh fix-typos.patch
  * Switch from libblas-dev to libopenblas-dev (Closes: #1056687)
  * Add disable-coverage.patch to not compute test coverage.
    - also remove python3-pytest-cov from build-dependnecy.
    - the coverage report ends up being installed and isn't really needed
  * Add python3-all-dev dependency to autopkgtest runner.
  * Add make-config-consistent.patch to make merging the python3.11
    and python3.12 dist-packages directory easier for pybuild

 -- Diane Trout <diane@ghic.org>  Sun, 30 Jul 2023 10:43:27 -0700

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=skmisc
export PYBUILD_TEST_ARGS=-v -k "not skmisc.__config__"
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_numpy3
	dh_install

override_dh_clean:
	-rm skmisc/loess/src/_loess.c cythonize.dat coverage.xml _configtest*
	dh_clean

## scikit-misc 0.3.1+dfsg2

=== Makefile ===
--- 
+++ 
@@ -15,11 +15,13 @@
 	@echo "dist - package"
 	@echo "install - install the package to the active Python's site-packages"
 	@echo "develop - install the package in development mode"
+	@echo "update - Upgrade installed python packages and linting tools"
 
 clean: clean-build clean-pyc clean-test
 
 clean-build:
 	rm -fr build/
+	rm -fr build-install/
 	rm -fr dist/
 	rm -fr .eggs/
 	find . -name '*.egg-info' -exec rm -fr {} +
@@ -37,35 +39,42 @@
 	rm -f coverage.xml
 	rm -fr htmlcov/
 
-lint:
-	flake8 skmisc --exclude=skmisc/__config__.py
+ruff:
+	ruff . $(args)
+
+ruff-isort:
+	ruff --select I001 --quiet . $(args)
+
+
+lint: ruff ruff-isort
+
+lint-fix:
+	make lint args="--fix"
+
+build:
+	./spin build
 
 test: clean-test
-	pytest
-
-test-all:
-	tox
+	./spin test
 
 coverage:
-	coverage report -m
-	coverage html
+	./spin coverage
+	./spin coverage-html
 	$(BROWSER) htmlcov/index.html
 
 docs:
-	$(MAKE) -C doc clean
-	$(MAKE) -C doc html
+	./spin docs
 	$(BROWSER) doc/_build/html/index.html
 
-release: clean
-	bash ./tools/release.sh
+sdist: clean-test
+	./spin sdist
 
-dist: clean
-	python setup.py sdist
-	python setup.py bdist_wheel
-	ls -l dist
+dist: clean sdist wheel
+	python -m build
 
-install: clean
-	python setup.py install
+develop: build
+	pip install --no-build-isolation .
 
-develop: clean-pyc
-	python setup.py develop
+update:
+	pip list --outdated | cut -d ' ' -f1 | xargs -n1 pip install -U
+	pre-commit autoupdate

=== meson_options.txt ===
option('blas', type: 'string', value: 'openblas',
        description: 'option for BLAS library switching')
option('lapack', type: 'string', value: 'openblas',
        description: 'option for LAPACK library switching')
option('use-g77-abi', type: 'boolean', value: false,
        description: 'If set to true, forces using g77 compatibility wrappers ' +
                     'for LAPACK functions. The default is to use gfortran ' +
                     'ABI for all LAPACK libraries except MKL.')

=== debian/changelog ===
scikit-misc (0.3.1+dfsg2-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 15:04:07 +0000

scikit-misc (0.3.1+dfsg2-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * d/watch: switch to PyPI to grab the _version file. Fixes "0.0.0"
    version reporting.
  * d/control: pkg-config => pkgconf
  * d/control: upgrade to using Testsuite: autopkgtest-pkg-pybuild
  * d/{rules,clean}: simplify d/rules
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * d/upstream/metadata: added
  * Added the default Salsa CI pipeline to test the packaging
  * Standards-Version: 4.7.2 (routine-update)

  [ Andreas Tille ]
  * Team maintenance by DPT

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 13 Mar 2025 08:42:36 +0100

scikit-misc (0.3.1+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with NumPy 2 (Closes: #1094376)

 -- Timo Röhling <roehling@debian.org>  Thu, 30 Jan 2025 09:38:08 +0100

=== debian/control ===
Source: scikit-misc
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-sequence-python3,
               gfortran,
               git,
               libblas-dev | libblas.so,
               liblapack-dev | liblapack.so,
               pkgconf,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-mesonpy,
               python3-numpy,
               python3-pytest <!nocheck>,
               python3-setuptools
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/scikit-misc
Vcs-Git: https://salsa.debian.org/python-team/packages/scikit-misc.git
Homepage: https://github.com/has2k1/scikit-misc
Rules-Requires-Root: no

Package: python3-skmisc
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Miscellaneous tools for scientific computing
 Miscellaneous tools for data analysis and scientific computing.  This
 package provides a LOESS (locally estimated scatterplot smoothing)
 module

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=auto,repacksuffix=+dfsg \
https://pypi.debian.net/scikit-misc/scikit[-_]misc-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
